Bug 113664 - New Port: devel/stringencoders
Summary: New Port: devel/stringencoders
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-13 20:40 UTC by Steven Kreuzer
Modified: 2007-06-16 14:00 UTC (History)
0 users

See Also:


Attachments
file.shar (2.88 KB, text/plain)
2007-06-13 20:40 UTC, Steven Kreuzer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Kreuzer 2007-06-13 20:40:03 UTC
stringencoders is a collection of high performance c-string transformations, frequently 2x faster than standard implementations (if they exist at all).

Fix: Patch attached with submission follows:
Comment 1 Vanilla I. Shu freebsd_committer 2007-06-13 22:41:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vanilla

I will handle this one.
Comment 2 bf 2007-06-14 14:43:41 UTC
The Master site doesn't seem to exist.  It should
probably be:

http://code.google.com/p/stringencoders/downloads/list

but I've noticed that google seems to move these URLs
around.  By the way, you forgot to add the second part
of the description  ;)               :

"Unless your application is doing almost nothing
except encoding and decoding, the odds are that these
functions will not improve the total performance of
your application. Even with slow versions of base64
it's already so fast it's probably not measurable in
your application. 

Also this is highly compiler version and cpu model
dependent. While it screams on AMD processors and is
'better' on Intel processors, it may not do as well on
your platform."

bf




       
____________________________________________________________________________________
Sick sense of humor? Visit Yahoo! TV's 
Comedy with an Edge to see what's on, when. 
http://tv.yahoo.com/collections/222
Comment 3 dfilter service freebsd_committer 2007-06-16 13:51:34 UTC
vanilla     2007-06-16 12:51:29 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/stringencoders Makefile distinfo pkg-descr pkg-plist 
    devel/stringencoders/files patch-speedtest_ascii.c 
                               patch-speedtest_numtoa.c 
  Log:
  Add stringencoders 3.3.0, collection of high performance c-string
  transformations.
  
  PR:             ports/113664
  Submitted by:   Steven Kreuzer <skreuzer at exit2shell.com>
  
  Revision  Changes    Path
  1.2786    +1 -0      ports/devel/Makefile
  1.1       +21 -0     ports/devel/stringencoders/Makefile (new)
  1.1       +3 -0      ports/devel/stringencoders/distinfo (new)
  1.1       +65 -0     ports/devel/stringencoders/files/patch-speedtest_ascii.c (new)
  1.1       +200 -0    ports/devel/stringencoders/files/patch-speedtest_numtoa.c (new)
  1.1       +14 -0     ports/devel/stringencoders/pkg-descr (new)
  1.1       +13 -0     ports/devel/stringencoders/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Vanilla I. Shu freebsd_committer 2007-06-16 13:53:50 UTC
State Changed
From-To: open->closed

Committed, thanks.